<template>
  <a-locale-provider :locale="locale">
    <router-view id="app" class="nr-page"/>
  </a-locale-provider>
</template>

<script>
import Vue from 'vue'
// eslint-disable-next-line camelcase
import es_ES from 'ant-design-vue/lib/locale-provider/es_ES'
import moment from 'moment'
import 'moment/locale/fr'

moment.locale('es')

export default {
  name: 'App',
  data () {
    return {
      locale: es_ES
    }
  },
  mounted () {
    let pageLoadInteraction = this.$newrelic.interaction()

    this.$newrelic.setCustomAttribute('sb.framework.name', 'vue.js')
    this.$newrelic.setCustomAttribute('sb.framework.version', Vue.version)

    let loader = document.getElementById('app-preloader')
    if (loader) {
      loader.classList.remove('active')

      setTimeout(() => {
        loader.remove()
        this.$newrelic.interaction().setName('preloader-vanishing').save()
      }, 850)
    }

    pageLoadInteraction.end()
  }
}
</script>
